body {
    margin: 0;
    padding: 0;
    background: #000;
}

.container {
    background: #000;
	height: 100vh;
	width: 100vw;
	overflow: hidden;
}

.top-container {
    background-color: #000;
    color: #fff;
    padding: 0;
    display: flex;
    justify-content: space-between;
}

.top-container .section {
    display: flex;
	flex: 1;
}

.top-container .section:first-child {
    margin-right: auto;
}

.top-container .section:last-child {
    margin-left: auto;
    flex: 0;
}

.top-container label {
    text-align: center;
    cursor: pointer;
    background: #000;
    color: #3c3c3c;
    cursor: pointer;
    padding: 10px 15px;
    margin-left: -1px;
    font-family: sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top-container input[type=checkbox],
.top-container input[type=radio] {
    display: none;
}

.top-container input.hidden + label {  
    display: none;
}

.top-container input:checked + label {
    background: #0d1122;
    color: #fff;
    border-color: #fff !important;
}

.top-container input[id*=radio] + label {
    font-size: 12px; 
    text-transform: uppercase;
}

.top-container input[id*=auto] + label {
    font-size: 12px;
    text-transform: uppercase;
}

.top-container input[id*=auto]:checked + label {
    background: green;
}

.top-container button#run-result {
    background: none;
    border: none;
    position: relative;
    color: #fff;
    font-size: 12px; 
    text-transform: uppercase;
	cursor: pointer;
}

.top-container button#run-result:before {
    content: '';
    border-left: 10px solid green;
    border-top: 6px solid transparent;
    border-bottom: 6px solid transparent;
    display: inline-block;
    margin-right: 3px;
    vertical-align: text-top;
}

.top-container input#tabs-layout + label,
.top-container input#left-layout + label,
.top-container input#center-layout + label,
.top-container input#right-layout + label {
    position: relative;
    height: 20px;
    width: 20px;
    display: block;
    padding: 0;
    margin: 6px 0 0 10px;
    border: 1px solid #3c3c3c;
}

.top-container input#tabs-layout + label:before,
.top-container input#left-layout + label:before,
.top-container input#center-layout + label:before,
.top-container input#right-layout + label:before,
.top-container input#tabs-layout + label:after,
.top-container input#left-layout + label:after,
.top-container input#center-layout + label:after,
.top-container input#right-layout + label:after {
    content: '';
    background: #3c3c3c;
    position: absolute;
}

.top-container input#tabs-layout + label:after {
    height: 1px;
    width: 100%;
    left: 0;
    top: 20%;
}

.top-container input#tabs-layout + label:before {
    height: 20%;
    width: 1px;
    left: 50%;
    top: 0;
}

.top-container input#left-layout + label:before,
.top-container input#right-layout + label:before {
    height: 100%;
    width: 1px;
    left: 50%;
    top: 0;
}

.top-container input#center-layout + label:after {
    height: 1px;
    width: 100%;
    left: 0;
    top: 50%;
}

.top-container input#left-layout + label:after,
.top-container input#right-layout + label:after {
    height: 1px;
    width: 50%;
    left: 0;
    top: 50%;
}

.top-container input#right-layout + label:after {
    left: 50%;
}

.top-container input#center-layout + label:before {
    height: 50%;
    width: 1px;
    left: 50%;
    top: 0;
}

.top-container input#tabs-layout:checked + label:before,
.top-container input#left-layout:checked + label:before,
.top-container input#center-layout:checked + label:before,
.top-container input#right-layout:checked + label:before,
.top-container input#tabs-layout:checked + label:after,
.top-container input#left-layout:checked + label:after,
.top-container input#center-layout:checked + label:after,
.top-container input#right-layout:checked + label:after {
    background: #fff;
}

@media (max-width: 767px) {
    .top-container input#tabs-layout + label,
    .top-container input#left-layout + label,
    .top-container input#center-layout + label,
    .top-container input#right-layout + label,
    .top-container input#auto-result + label {
        display: none;
    }
}
  
.editor-container {
    font-family: sans-serif;
    display: flex;
    flex-direction: column;
    height: calc(100% - 35px);
    position: relative;
}

.editor-container.left {
    flex-direction: row;
}

.editor-container.center {
    flex-direction: column;
}

.editor-container.right {
    flex-direction: row-reverse;
}

.editor-container .panels {
    display: flex;
    flex-direction: row;
    background-color: #000;
    margin-left: -7.5px;
    margin-right: -7.5px;
	height: 40vh;
	min-height: 25px;
}

.editor-container.tabs .panels {
    flex: 1;
	min-height: 0;
}

.editor-container.left .panels,
.editor-container.right .panels {
    flex-direction: column;
	height: auto;
	width: 30vw;
    min-width: 115px;
}

.editor-container.left .panels {
    margin-left: 0;
    margin-right: 0;
}

.editor-container.right .panels {
    margin-left: 0;
    margin-right: 0;
}

.editor-container .panels-resizer {
	cursor: row-resize;
	height: 10px;
}

.editor-container.left .panels-resizer,
.editor-container.right .panels-resizer {
	cursor: col-resize;
	height: auto;
	width: 10px;
}

.editor-container.tabs .panels-resizer {
	display: none;
}

.editor-container .panels .panel {
    flex: 1;
    height: 100%;
    margin: 0 5px 10px;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    background: #0d1122;
}

.editor-container.left .panels .panel,
.editor-container.right .panels .panel {
    min-height: 0;
    margin: 0 0 10px;
}

.editor-container.left .panels .panel:last-of-type,
.editor-container.right .panels .panel:last-of-type {
    margin: 0;
}

.editor-container .panels .panel strong {
    background-color: #0C1021;
    color: #787878;
    display: block;
    padding: 10px 15px;
    font-weight: normal;
    font-size: 12px;
}

.editor-container .panels .panel strong span {
    float: right;
    cursor: pointer;
    background: #2d3550;
    display: block;
    padding: 0 5px 1px;
}

@media (max-width: 767px) {
    .editor-container .panels .panel {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin: 0 !important;
        display: none;
    }
}

.editor-container .result {
    background: #eee;
	flex: 1;
    flex-grow: 1;
    flex-shrink: 1;
    display: flex;
    flex-direction: column;
    align-items: stretch;
	overflow: hidden;
}

.editor-container.left .result,
.editor-container.center .result,
.editor-container.right .result {
    display: flex !important;
}

.editor-container .result .code-wrapper {
	overflow: auto;
	height: calc(100% - 40px);
}

.editor-container .result .code-container {
    width: 100%;
	overflow: auto;
	margin: auto;
}

.editor-container .result iframe {
    background: #fff;
    border: none;
	margin: 0 auto 0;
    width: 100%;
	height: 100%;
	display: block;
	box-shadow: 0 0 4px rgba(0,0,0,.3);
	transition: .5s;
}

.editor-container .result .screen-size {
	text-align: center;
	padding: 5px 0;
	background-color: #eee;
}

.editor-container .result .screen-size input {
    appearance: none;
    border: 1px solid #ccc;
    padding: 5px;
}

@media (max-width: 767px) {
    .editor-container .result .screen-size {
        display: none;
    }
}

.CodeMirror, .CodeMirror-scroll {
    height: auto;
    max-height: 100%;
}

.CodeMirror-vscrollbar { 
    overflow-x: hidden;
    overflow-y: scroll;
}